Subject: Re: Bug#227079: install: dosen't honer dpkg system and no option to make it.

From: Mike Mestnik <[email-masked]>
Date: Sun, 11 Jan 2004 14:16:24 -0800 (PST)

Coreutils may provide a program called install, if I'm incorrect I apologize.

This program, as many developers know, is responsible for copying and setting permissions on
files.  Typically invoked from make install, a ?common? way to install programs.  This
installation currently dose not support the debian way of life.  Installations dove via install
can later be undone by dpkg.  If dpkg was made aware of the actions of install this could be
avoided.

Setting files as hold is impossible, at this time.  It may however be acceptable to hold the
entire pkg for the file.  I ask only that this feature be provided.  I think a wrapper of sorts
will suffice.  It would be nice to then included this feature into the make system, so that it
could be streamlined(If this is possible).

--- Michael Stone <[email-masked]> wrote:
> On Fri, Jan 09, 2004 at 11:33:18PM -0600, Mike Mestnik wrote:
> >It would be nice if it would do something on the order of...
> >{; # Stdout redirect
> >dpkg -S <destination file name> |
> >  cut -f1 -d: |
> >    tr '\n' ' '
> >echo hold; # Mark the pkg as held.
> >} | dpkg --set-selections
> >
> >... If an env-var was set.
> 
> You need to be more specific; I'm not sure what you want from coreutils.
> 
> Mike Stone

__________________________________
Do you Yahoo!?
Yahoo! Hotjobs: Enter the "Signing Bonus" Sweepstakes
http://hotjobs.sweepstakes.yahoo.com/signingbonus